self: super: {
  skawarePackages = super.skawarePackages // (with super.skawarePackages; {
    skalibs = skalibs.overrideAttrs(old: rec {
      pname = "skalibs";
      name = "${pname}-${version}";
      version = "2.8.1.0";
      src = self.fetchurl {
        url = "https://skarnet.org/software/${pname}/${pname}-${version}.tar.gz";
        sha256 = "1fk6n402ywn4kpy6ng7sfnnqcg0mp6wq2hrv8sv3kxd0nh3na723";
      };
    });

    execline = execline.overrideAttrs(old: rec {
      pname = "execline";
      name = "${pname}-${version}";
      version = "2.5.1.0";
      src = self.fetchurl {
        url = "https://skarnet.org/software/${pname}/${pname}-${version}.tar.gz";
        sha256 = "0xr6yb50wm6amj1wc7jmxyv7hvlx2ypbnww1vc288j275625d9xi";
      };
    });

    s6 = s6.overrideAttrs(old: rec {
      pname = "s6";
      name = "${pname}-${version}";
      version = "2.8.0.1";
      src = self.fetchurl {
        url = "https://skarnet.org/software/${pname}/${pname}-${version}.tar.gz";
        sha256 = "1n1i3jm3kp9ii54cxj1sgh89m6nyna7vhy8714ma6py1frdqzq6v";
      };
    });

    s6-dns = s6-dns.overrideAttrs(old: rec {
      pname = "s6-dns";
      name = "${pname}-${version}";
      version = "2.3.0.2";
      src = self.fetchurl {
        url = "https://skarnet.org/software/${pname}/${pname}-${version}.tar.gz";
        sha256 = "1y9bhvx8bqsb2xq5lmlfnc1hw2b3jyqg11i9r4lj0n6vvaqwh1j8";
      };
    });

    s6-linux-utils = s6-linux-utils.overrideAttrs(old: rec {
      pname = "s6-linux-utils";
      name = "${pname}-${version}";
      version = "2.5.0.1";
      src = self.fetchurl {
        url = "https://skarnet.org/software/${pname}/${pname}-${version}.tar.gz";
        sha256 = "0bpcaah3rbz4i013bkarr7wxmfvisjyxg0z78xg5zfbgajpgjxx1";
      };
    });

    s6-networking = s6-networking.overrideAttrs(old: rec {
      pname = "s6-networking";
      name = "${pname}-${version}";
      version = "2.3.0.4";
      src = self.fetchurl {
        url = "https://skarnet.org/software/${pname}/${pname}-${version}.tar.gz";
        sha256 = "00kqp0mcp8c7f0z5s4399rd1haxasxkqgd6ds0j0607hvi56mqqa";
      };
    });

    s6-portable-utils = s6-portable-utils.overrideAttrs(old: rec {
      pname = "s6-portable-utils";
      name = "${pname}-${version}";
      version = "2.2.1.3";
      src = self.fetchurl {
        url = "https://skarnet.org/software/${pname}/${pname}-${version}.tar.gz";
        sha256 = "1ibjns1slyg1p7jl9irzlrjz8b01f506iw87g3s7db5arhf17vv2";
      };
    });
  });
}
